%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           python-tripleoclient
Version:        2.0.0
Release:        15%{?dist}
Provides:        python2-tripleoclient = %{version}-%{release}
Summary:        OpenstackClient plugin for tripleoclient

License:        ASL 2.0
URL:            https://pypi.python.org/pypi/python-tripleoclient
Source0:        https://pypi.python.org/packages/source/p/python-tripleoclient/python-tripleoclient-%{upstream_version}.tar.gz

#patches_base=+2
Patch0001: 0001-Remove-centos-cloud-repo-element-from-image-building.patch
Patch0002: 0002-Don-t-configure-Nova-v3-service.patch
Patch0003: 0003-Add-gnocchi-password-as-a-deployment-param.patch
Patch0004: 0004-Generate-ceph-client-key.patch
Patch0005: 0005-Use-values-from-endpoint-map-for-service-endpoints.patch
Patch0006: 0006-Unset-UpdateIdentifier-on-deploy-scale-pass-in-Stack.patch
Patch0007: 0007-Generate-a-password-for-the-Mysql-clustercheck-user.patch
Patch0008: 0008-Updated-from-global-requirements.patch
Patch0009: 0009-Allow-openstack-baremetal-configure-boot-to-guess-th.patch
Patch0010: 0010-Document-initial-state-param-on-baremetal-import.patch
Patch0011: 0011-Show-correct-missing-files-when-an-error-occurs.patch
Patch0012: 0012-Run-post-deploy-config-on-force.patch
Patch0013: 0013-Generate-CephX-keys-and-FSID-regardless-of-CephStora.patch
Patch0014: 0014-Use-non-bracketed-version-of-addresses-for-keystone..patch
Patch0015: 0015-Use-correct-region-value.patch
Patch0016: 0016-CVE-2017-2637-Add-warning-about-opt-in.patch
Patch0017: 0017-fix-syntax-error.patch
Patch0018: 0018-Add-MigrationSshKey-to-generated-passwords.patch
Patch0019: 0019-Fix-PEP8-error.patch
Patch0020: 0020-Ensure-MigrationSshKey-is-set-during-minor-updates.patch

BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-pbr
BuildRequires:  python-setuptools

Requires:       instack
Requires:       instack-undercloud
Requires:       python-ironic-inspector-client
Requires:       python-ironicclient
Requires:       python-openstackclient
Requires: 	python-paramiko
Requires:	python-passlib
Requires:       sos
Requires:       tripleo-common

Obsoletes: python-rdomanager-oscplugin < 0.0.11
Provides: python-rdomanager-oscplugin = %{version}-%{release}

%description
python-tripleoclient is a Python plugin to OpenstackClient
for TripleO <https://github.com/openstack/python-tripleoclient>.


%prep
%setup -q -n %{name}-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1
%patch0011 -p1
%patch0012 -p1
%patch0013 -p1
%patch0014 -p1
%patch0015 -p1
%patch0016 -p1
%patch0017 -p1
%patch0018 -p1
%patch0019 -p1
%patch0020 -p1

sed -i '/setup_requires/d; /install_requires/d; /dependency_links/d' setup.py

# Remove the requirements file so that pbr hooks don't add it
# to distutils requires_dist config
rm -rf {test-,}requirements.txt

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install --skip-build --root %{buildroot}

%files
%{python2_sitelib}/tripleoclient*
%{python2_sitelib}/python_tripleoclient*
%doc LICENSE README.rst

%changelog
* Mon Jan 29 2018 Oliver Walsh <owalsh@redhat.com> 2.0.0-15
- Ensure MigrationSshKey is set during minor updates (rhbz#1464504)
- Fix PEP8 error

* Thu May 11 2017 Alex Schultz <aschultz@redhat.com> 2.0.0-14
- Add MigrationSshKey to generated passwords (rhbz#1428591)
- Adding require on python-paramiko (rhbz#1428591)

* Thu May 11 2017 Alex Schultz <aschultz@redhat.com> 2.0.0-13
- [CVE-2017-2637] Add warning about opt-in (rhbz#1450032)
- fix syntax error (rhbz#1450032)

* Thu Feb 02 2017 Jason Joyce <jjoyce@redhat.com> 2.0.0-4
- Use correct region value (rhbz#1357579)

* Wed Aug 17 2016 Thierry Vignaud <<tvignaud@redhat.com>> 2.0.0-3
- Use non-bracketed version of addresses for keystone.initialize
  Resolves: rhbz#1366254

* Wed Aug 03 2016 Mike Burns <mburns@redhat.com> 2.0.0-2
- Generate CephX keys and FSID regardless of CephStorageCount rhbz#1363645

* Fri Jul 15 2016 Thierry Vignaud <<tvignaud@redhat.com>> 2.0.0-1.0.6
- Run post deploy config on force

* Tue Jul 05 2016 Thierry Vignaud <<tvignaud@redhat.com>> 2.0.0-1.0.5
- Run post deploy config on force

* Thu Jun 16 2016 Mike Burns <mburns@redhat.com> 2.0.0-1.0.4
- Show correct missing files when an error occurs
- Document --initial-state param on baremetal import
- Updated from global requirements

* Tue Jun 07 2016 Mike Burns <mburns@redhat.com> 2.0.0-1.0.3
- Generate a password for the Mysql 'clustercheck' user

* Fri May 13 2016 Mike Burns <mburns@redhat.com> 2.0.0-1.0.2
- Unset UpdateIdentifier on deploy/scale, pass in StackAction
- Use values from endpoint map for service endpoints
- Add gnocchi password as a deployment param
- Generate ceph client key
- Don't configure Nova v3 service

* Fri May 13 2016 Thierry Vignaud <tvignaud@redhat.com> - 2.0.0-1.0.1
- bump release for rpmdiff

* Wed Mar 23 2016 RDO <rdo-list@redhat.com> 1.0.0-0.1
-  Rebuild for Mitaka 
